image: maven:latest

stages:
  - test
  - deploy

test:
  stage: test
  script:
    - mvn clean verify
  artifacts:
    paths:
      - target/site/serenity

deploy:
  stage: deploy
  script:
    - mkdir .public
    - cp -R target/site/serenity .public/
  artifacts:
    paths:
      - .public
  only:
    - master

pages:
  stage: deploy
  script:
    - mv .public public
  artifacts:
    paths:
      - public
  dependencies:
    - deploy
  only:
    - master